| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::PCZoneFactory Class Referenceabstract

Factory for PCZones. More...

`#include <OgrePCZoneFactory.h>`

Inheritance diagram for Ogre::PCZoneFactory:
[legend]

## Public Member Functions
| PCZoneFactory (const String &typeName)
virtual | ~PCZoneFactory ()
virtual PCZone * | createPCZone (PCZSceneManager *pczsm, const String &zoneName)=0
const String & | getFactoryTypeName () const
virtual bool | supportsPCZoneType (const String &zoneType)=0

## Public Attributes
String | mFactoryTypeName
| Factory type name. More...

## Detailed Description

Factory for PCZones.

## Constructor & Destructor Documentation

## ◆ PCZoneFactory()

Ogre::PCZoneFactory::PCZoneFactory | ( | const String & | typeName | ) |

## ◆ ~PCZoneFactory()

virtual Ogre::PCZoneFactory::~PCZoneFactory | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ supportsPCZoneType()

virtual bool Ogre::PCZoneFactory::supportsPCZoneType | ( | const String & | zoneType | ) |
| pure virtual

Implemented in Ogre::OctreeZoneFactory, and Ogre::DefaultZoneFactory.

## ◆ createPCZone()

virtual PCZone* Ogre::PCZoneFactory::createPCZone | ( | PCZSceneManager * | pczsm,
|  | const String & | zoneName
| ) |  |
| pure virtual

Implemented in Ogre::OctreeZoneFactory, and Ogre::DefaultZoneFactory.

## ◆ getFactoryTypeName()

const String& Ogre::PCZoneFactory::getFactoryTypeName | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ mFactoryTypeName

String Ogre::PCZoneFactory::mFactoryTypeName

Factory type name.

The documentation for this class was generated from the following file:

- OgrePCZoneFactory.h